NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::RapidSurfaceBuilder Class Reference

Represents a NXOpen::Features::RapidSurface builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateRapidSurfaceBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::RapidSurfaceBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  AttachmentTypes { AttachmentTypesFacetBody, AttachmentTypesNone }
 the attachment types More...
 
enum  LoopTypes { LoopTypesFourSided, LoopTypesThreeSided }
 the subdivision loop types More...
 
enum  OperationTypes { OperationTypesDrawOnFacetBody, OperationTypesDrawOnBoundary, OperationTypesImportCurves, OperationTypesSubdivideLoop }
 the operation types More...
 

Public Member Functions

void AcceptNewFacetBody ()
 Accepts new facet body
Created in NX5.0.0. More...
 
void AcceptSubdivision ()
 Accepts subdivision
Created in NX6.0.0. More...
 
NXOpen::SplineAskEdge (int edgeIndex)
 Asks an edge in the current curve network. More...
 
int AskEdgeCount ()
 Asks edge count in the current curve network. More...
 
NXOpen::Features::RapidSurfaceBuilder::AttachmentTypes AttachmentType ()
 Returns the attachment type
Created in NX6.0.0. More...
 
NXOpen::SelectDisplayableObjectBody ()
 Returns the facet body. More...
 
NXOpen::Features::GeometricConstraintDataSetManagerBoundaryPointSetManager ()
 Returns the boundary point set manager
Created in NX6.0.0. More...
 
void ConnectCurve ()
 Accepts connect curve
Created in NX6.0.0. More...
 
NXOpen::SelectCurveListConnectCurves ()
 Returns the connect curves
Created in NX6.0.0. More...
 
NXOpen::Features::GeometricConstraintDataSetManagerConstraintSetManager ()
 Returns the constraint set manager
Created in NX5.0.0. More...
 
void CreateAnimationPolyline ()
 Creates animation polyline
Created in NX6.0.0. More...
 
void CreateBoundaryCurve ()
 Creates boundary curve
Created in NX6.0.0. More...
 
std::vector< NXOpen::Point * > CreateNodePoints ()
 Creates points to record every mesh node. More...
 
int Degree ()
 Returns the degree
Created in NX5.0.0. More...
 
void DeleteCurve ()
 Deletes curve
Created in NX5.0.0. More...
 
NXOpen::SelectCurveListDeleteCurves ()
 Returns the delete curves
Created in NX5.0.0. More...
 
void DeleteNode (NXOpen::Point *point)
 Deletes node
Created in NX6.0.0. More...
 
NXOpen::SelectCurveDragCurve ()
 Returns the drag curve
Created in NX6.0.0. More...
 
void DragCurvePoint ()
 Drags curve point
Created in NX6.0.0. More...
 
NXOpen::Features::GeometricConstraintDataSetManagerDragCurvePointManager ()
 Returns the curve used for drag curve point
Created in NX6.0.0. More...
 
void DrawBoundaryCurve ()
 Draws boundary curve
Created in NX6.0.0. More...
 
void DrawCurve ()
 Draws curve
Created in NX5.0.0. More...
 
NXOpen::Facet::SelectFacetedBodyFacetBody ()
 Returns the facet body
More...
 
NXOpen::PointGetNode (int nodeIndex)
 Gets a node in the current curve network. More...
 
int GetNodeCount ()
 Gets node count in the current curve network. More...
 
void ImportCurve ()
 Imports curve
Created in NX5.0.0. More...
 
NXOpen::SelectCurveListImportCurves ()
 Returns the import curves
Created in NX5.0.0. More...
 
NXOpen::Features::RapidSurfaceBuilder::LoopTypes LoopType ()
 Returns the subdivision loop type
Created in NX6.0.0. More...
 
void MoveNode (NXOpen::Point *point, const NXOpen::Point3d &newPosition)
 Moves node
Created in NX6.0.0. More...
 
double NodeTolerance ()
 Returns the node tolerance
Created in NX6.0.0. More...
 
NXOpen::Features::RapidSurfaceBuilder::OperationTypes OperationType ()
 Returns the operation type
Created in NX6.0.0. More...
 
NXOpen::DirectionProjectDirection ()
 Returns the projection direction
Created in NX5.0.0. More...
 
void ReprojectEdgesAfterMoveNode ()
 Reprojects edges after move node
Created in NX6.0.0. More...
 
void ResetAnimationPolyline ()
 Resets animation polyline
Created in NX6.0.0. More...
 
int Segments ()
 Returns the segments
Created in NX5.0.0. More...
 
void SetADefinePoint (int index, double xx, double yy, double zz, int facetID)
 Set a define point (pre-NX6)
More...
 
void SetAttachmentType (NXOpen::Features::RapidSurfaceBuilder::AttachmentTypes option)
 Sets the attachment type
Created in NX6.0.0. More...
 
void SetDefiningPoint (int index, const NXOpen::Point3d &coordination, int facetID)
 Sets a defining point
Created in NX6.0.0. More...
 
void SetDegree (int degree)
 Sets the degree
Created in NX5.0.0. More...
 
void SetLoopType (NXOpen::Features::RapidSurfaceBuilder::LoopTypes option)
 Sets the subdivision loop type
Created in NX6.0.0. More...
 
void SetNodeTolerance (double nodeTolerance)
 Sets the node tolerance
Created in NX6.0.0. More...
 
void SetNumberOfDefinePoints (int number)
 Set number of define points (pre-NX6)
More...
 
void SetNumberOfDefiningPoints (int number)
 Sets number of defining points
Created in NX6.0.0. More...
 
void SetOperationType (NXOpen::Features::RapidSurfaceBuilder::OperationTypes option)
 Sets the operation type
Created in NX6.0.0. More...
 
void SetProjectDirection (NXOpen::Direction *projectDirection)
 Sets the projection direction
Created in NX5.0.0. More...
 
void SetSegments (int segments)
 Sets the segments
Created in NX5.0.0. More...
 
void SetSmoothness (int smoothness)
 Sets the smoothness
Created in NX5.0.0. More...
 
void SetUPatches (int patchesU)
 Sets the patches(U)
Created in NX6.0.0. More...
 
void SetVPatches (int patchesV)
 Sets the patches(V)
Created in NX6.0.0. More...
 
int Smoothness ()
 Returns the smoothness
Created in NX5.0.0. More...
 
NXOpen::SelectCurveULoopCurve ()
 Returns the loop curve(U)
Created in NX6.0.0. More...
 
int UPatches ()
 Returns the patches(U)
Created in NX6.0.0. More...
 
NXOpen::SelectCurveVLoopCurve ()
 Returns the loop curve(V)
Created in NX6.0.0. More...
 
int VPatches ()
 Returns the patches(V)
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::RapidSurface builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateRapidSurfaceBuilder
Default values.

Property Value

AttachmentType

FacetBody

Degree

3

LoopType

FourSided

NodeTolerance

1.0

Segments

10

Smoothness

100

UPatches

2

VPatches

2


Created in NX5.0.0.

Member Enumeration Documentation

the attachment types

Enumerator
AttachmentTypesFacetBody 

attach to facet body

AttachmentTypesNone 

attach to nothing

the subdivision loop types

Enumerator
LoopTypesFourSided 

subdivide four sided loops

LoopTypesThreeSided 

subdivide three sided loops

the operation types

Enumerator
OperationTypesDrawOnFacetBody 

draw on facet body

OperationTypesDrawOnBoundary 

draw on boundary

OperationTypesImportCurves 

import curves

OperationTypesSubdivideLoop 

subdivide loop

Member Function Documentation

void NXOpen::Features::RapidSurfaceBuilder::AcceptNewFacetBody ( )

Accepts new facet body
Created in NX5.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

void NXOpen::Features::RapidSurfaceBuilder::AcceptSubdivision ( )

Accepts subdivision
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::Spline* NXOpen::Features::RapidSurfaceBuilder::AskEdge ( int  edgeIndex)

Asks an edge in the current curve network.

Returns

Created in NX5.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")
Parameters
edgeIndexEdge Index
int NXOpen::Features::RapidSurfaceBuilder::AskEdgeCount ( )

Asks edge count in the current curve network.

Returns

Created in NX5.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")
NXOpen::Features::RapidSurfaceBuilder::AttachmentTypes NXOpen::Features::RapidSurfaceBuilder::AttachmentType ( )

Returns the attachment type
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::SelectDisplayableObject* NXOpen::Features::RapidSurfaceBuilder::Body ( )

Returns the facet body.

Inputs to this command can be convergent objects.
Created in NX11.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::Features::GeometricConstraintDataSetManager* NXOpen::Features::RapidSurfaceBuilder::BoundaryPointSetManager ( )

Returns the boundary point set manager
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

void NXOpen::Features::RapidSurfaceBuilder::ConnectCurve ( )

Accepts connect curve
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::SelectCurveList* NXOpen::Features::RapidSurfaceBuilder::ConnectCurves ( )

Returns the connect curves
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::Features::GeometricConstraintDataSetManager* NXOpen::Features::RapidSurfaceBuilder::ConstraintSetManager ( )

Returns the constraint set manager
Created in NX5.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

void NXOpen::Features::RapidSurfaceBuilder::CreateAnimationPolyline ( )

Creates animation polyline
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

void NXOpen::Features::RapidSurfaceBuilder::CreateBoundaryCurve ( )

Creates boundary curve
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

std::vector<NXOpen::Point *> NXOpen::Features::RapidSurfaceBuilder::CreateNodePoints ( )

Creates points to record every mesh node.

Returns

Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")
int NXOpen::Features::RapidSurfaceBuilder::Degree ( )

Returns the degree
Created in NX5.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

void NXOpen::Features::RapidSurfaceBuilder::DeleteCurve ( )

Deletes curve
Created in NX5.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::SelectCurveList* NXOpen::Features::RapidSurfaceBuilder::DeleteCurves ( )

Returns the delete curves
Created in NX5.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

void NXOpen::Features::RapidSurfaceBuilder::DeleteNode ( NXOpen::Point point)

Deletes node
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
pointPoint
NXOpen::SelectCurve* NXOpen::Features::RapidSurfaceBuilder::DragCurve ( )

Returns the drag curve
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

void NXOpen::Features::RapidSurfaceBuilder::DragCurvePoint ( )

Drags curve point
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::Features::GeometricConstraintDataSetManager* NXOpen::Features::RapidSurfaceBuilder::DragCurvePointManager ( )

Returns the curve used for drag curve point
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

void NXOpen::Features::RapidSurfaceBuilder::DrawBoundaryCurve ( )

Draws boundary curve
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

void NXOpen::Features::RapidSurfaceBuilder::DrawCurve ( )

Draws curve
Created in NX5.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::Facet::SelectFacetedBody* NXOpen::Features::RapidSurfaceBuilder::FacetBody ( )

Returns the facet body

Deprecated:
Deprecated in NX11.0.0.

Use NXOpen::Features::RapidSurfaceBuilder::Body instead.


Created in NX5.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::Point* NXOpen::Features::RapidSurfaceBuilder::GetNode ( int  nodeIndex)

Gets a node in the current curve network.

Returns

Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")
Parameters
nodeIndexNode Index
int NXOpen::Features::RapidSurfaceBuilder::GetNodeCount ( )

Gets node count in the current curve network.

Returns

Created in NX6.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")
void NXOpen::Features::RapidSurfaceBuilder::ImportCurve ( )

Imports curve
Created in NX5.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::SelectCurveList* NXOpen::Features::RapidSurfaceBuilder::ImportCurves ( )

Returns the import curves
Created in NX5.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::Features::RapidSurfaceBuilder::LoopTypes NXOpen::Features::RapidSurfaceBuilder::LoopType ( )

Returns the subdivision loop type
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

void NXOpen::Features::RapidSurfaceBuilder::MoveNode ( NXOpen::Point point,
const NXOpen::Point3d newPosition 
)

Moves node
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
pointPoint
newPositionthe new position the point move to
double NXOpen::Features::RapidSurfaceBuilder::NodeTolerance ( )

Returns the node tolerance
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::Features::RapidSurfaceBuilder::OperationTypes NXOpen::Features::RapidSurfaceBuilder::OperationType ( )

Returns the operation type
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::Direction* NXOpen::Features::RapidSurfaceBuilder::ProjectDirection ( )

Returns the projection direction
Created in NX5.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

void NXOpen::Features::RapidSurfaceBuilder::ReprojectEdgesAfterMoveNode ( )

Reprojects edges after move node
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

void NXOpen::Features::RapidSurfaceBuilder::ResetAnimationPolyline ( )

Resets animation polyline
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

int NXOpen::Features::RapidSurfaceBuilder::Segments ( )

Returns the segments
Created in NX5.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

void NXOpen::Features::RapidSurfaceBuilder::SetADefinePoint ( int  index,
double  xx,
double  yy,
double  zz,
int  facetID 
)

Set a define point (pre-NX6)

Deprecated:
Deprecated in NX6.0.0.

Use NXOpen::Features::RapidSurfaceBuilder::SetDefiningPoint instead.


Created in NX5.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
indexIndex of Defined Point
xxXC of Defined Point
yyYC of Defined Point
zzZC of Defined Point
facetIDFacet ID of Defined Point
void NXOpen::Features::RapidSurfaceBuilder::SetAttachmentType ( NXOpen::Features::RapidSurfaceBuilder::AttachmentTypes  option)

Sets the attachment type
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
optionoption
void NXOpen::Features::RapidSurfaceBuilder::SetDefiningPoint ( int  index,
const NXOpen::Point3d coordination,
int  facetID 
)

Sets a defining point
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
indexIndex of Defined Point
coordinationx,y,z coordination of Defined Point
facetIDFacet ID of Defined Point
void NXOpen::Features::RapidSurfaceBuilder::SetDegree ( int  degree)

Sets the degree
Created in NX5.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
degreedegree
void NXOpen::Features::RapidSurfaceBuilder::SetLoopType ( NXOpen::Features::RapidSurfaceBuilder::LoopTypes  option)

Sets the subdivision loop type
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
optionoption
void NXOpen::Features::RapidSurfaceBuilder::SetNodeTolerance ( double  nodeTolerance)

Sets the node tolerance
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
nodeTolerancenodetolerance
void NXOpen::Features::RapidSurfaceBuilder::SetNumberOfDefinePoints ( int  number)

Set number of define points (pre-NX6)

Deprecated:
Deprecated in NX6.0.0.

Use NXOpen::Features::RapidSurfaceBuilder::SetNumberOfDefiningPoints instead.


Created in NX5.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
numberNumber of Defined Points
void NXOpen::Features::RapidSurfaceBuilder::SetNumberOfDefiningPoints ( int  number)

Sets number of defining points
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
numberNumber of Defined Points
void NXOpen::Features::RapidSurfaceBuilder::SetOperationType ( NXOpen::Features::RapidSurfaceBuilder::OperationTypes  option)

Sets the operation type
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
optionoption
void NXOpen::Features::RapidSurfaceBuilder::SetProjectDirection ( NXOpen::Direction projectDirection)

Sets the projection direction
Created in NX5.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
projectDirectionprojectdirection
void NXOpen::Features::RapidSurfaceBuilder::SetSegments ( int  segments)

Sets the segments
Created in NX5.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
segmentssegments
void NXOpen::Features::RapidSurfaceBuilder::SetSmoothness ( int  smoothness)

Sets the smoothness
Created in NX5.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
smoothnesssmoothness
void NXOpen::Features::RapidSurfaceBuilder::SetUPatches ( int  patchesU)

Sets the patches(U)
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
patchesUpatches u
void NXOpen::Features::RapidSurfaceBuilder::SetVPatches ( int  patchesV)

Sets the patches(V)
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
patchesVpatches v
int NXOpen::Features::RapidSurfaceBuilder::Smoothness ( )

Returns the smoothness
Created in NX5.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::SelectCurve* NXOpen::Features::RapidSurfaceBuilder::ULoopCurve ( )

Returns the loop curve(U)
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

int NXOpen::Features::RapidSurfaceBuilder::UPatches ( )

Returns the patches(U)
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

NXOpen::SelectCurve* NXOpen::Features::RapidSurfaceBuilder::VLoopCurve ( )

Returns the loop curve(V)
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

int NXOpen::Features::RapidSurfaceBuilder::VPatches ( )

Returns the patches(V)
Created in NX6.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.